


$(".baidutext").hide();
$(".tudou").hide();
$(".youku").hide();
$(".qiyi").hide();
$(".qvod").hide();


$isadd=$("#isadd").val();
$movieid=$("#movieid").val();


//数据初始化
    $(".movieclass li").each(function(){
		$(this).click(function(){
			$isadd=$("#isadd").val();
			$movieid=$("#movieid").val();				   
			$(".movieclass li").removeClass("cur");
			$(this).addClass("cur");
			$thisid=$(".movieclass li.cur").attr("id");
			$thislist=$("#"+$thisid+"islist").attr("value");
			if($thislist==1){
			$(".moviesub li").removeClass("sel");
			$(".moviesub li:eq(0)").addClass("sel");
			}
			else{
			$(".moviesub li").removeClass("sel");
			$(".moviesub li:eq(1)").addClass("sel");	
			}
			$(".moviebox div").hide();
			$("."+$thisid).show();
			//$("td span").show();
			return false;
		})
	});	
	$(".moviesub li").each(function(){
		$(this).click(function(){
			$list=$(".moviesub li:eq(0)").hasClass("sel");
			$text=$(".moviesub li:eq(1)").hasClass("sel");
			$thisid=$(".movieclass li.cur").attr("id");	
			$isadd=$("#isadd").val();
			$movieid=$("#movieid").val();
			if($list&&!$text)	
			{
	          $islist=0;
			}
			if($text){
				$islist=1;
			}
			
			getmoviedate($thisid,$isadd,$islist,$movieid);
			$(".moviesub li").removeClass("sel");
			$(this).addClass("sel");
			return false;
		})
	});		
	
function getmoviedate($movietype,$isadd,$islist,$movieid){
	//初始隐藏其他DIV
$geturl="/e/class/getmoviedate.php";	
                $(".moviebox div").hide();
				$("."+$movietype).show();
				if($islist==1){
		$(".moviesub li:eq(0)").addClass("sel");
		$(".moviesub li:eq(1)").removeClass("sel");				
				}
			    else{
		$(".moviesub li:eq(1)").addClass("sel");
		$(".moviesub li:eq(0)").removeClass("sel");			
				}
				$showdiv="."+$movietype;
			//$("td span").show();
			$("#"+$movietype+"islist").attr("value",$islist);
			//if(!$($showdiv).text()){
             $($showdiv).load($geturl,{
       			    "movietype": $movietype,
     			    "isadd": $isadd,
    			    "islist": $islist,	
					"id":$movieid
			 },
			 function(data){
			 });
			//}
}
function editstart($isadd,$movieid){
          $movietypestr='baidu|tudou|youku|qiyi|qvod';
		  $movietyper=new Array;
		  $movietyper=$movietypestr.split('|');
		  for ($i=0;$i<$movietyper.length;$i++){
		        $thistype=$movietyper[$i];
		  
		  getmoviedate($thistype,$isadd,1,$movieid);
		  }
$(".moviebox div").hide();
$(".baidu").show();
//$(".moviebox td span").show();

}
$(function(){
$isadd=$("#isadd").val();
$movieid=$("#movieid").val();	
alert($movieid);
 editstart($isadd,$movieid);
});
function getmoviedate($movietype,$isadd,$islist,$movieid){
	//初始隐藏其他DIV
$geturl="/e/class/getmovietype.php";	
 
             $($showdiv).get($geturl,{
       			    "movietype": $movietype,
     			    "isadd": $isadd,
    			    "islist": $islist,	
					"id":$movieid
			 },
			 function(data){
			 });
			//}
}

function add_moviefrom(){
	var $selectstr='';
	$movietypestr=$(".hidetype").text();
	$movietypecnstr=$(".hidetypecn").text();
	$typer=new Array;
	$typecnr=new Array;
	$typer=$movietypestr.split(',');
	$typecnr=$movietypecnstr.split(',');
	$num=$typer.length;
	$selecthtml='<div class="typeselect"><select name="movietype[]" class="movietype">';
	

for($k=0;$k<$num;$k++){
			$thetype=$typer[$k];
			$thecn=$typecnr[$k];
			$selectstr=$selectstr+'<option value="'+$thetype+'">'+$thecn+'</option>';
}
	$selecthtml=$selecthtml+$selectstr+'</select></div>';
	
		$texthtml='<div class="moviestr">';
		$texthtml=$texthtml+'<textarea name="moviefrom[]" style="height:250px;width:100%"></textarea>';
		$texthtml=$texthtml+'<div>';	
	$showhtml=$selecthtml+$texthtml;
	
if($(".moviebox_add").text()){
	$oldaddtext=$(".moviebox_add").text();
	$writevalue=$oldaddtext+$showhtml;
	$(".moviebox_add").text($writevalue);
	
}
else{
	$writevalue=$showhtml;
	$(".moviebox_add").text($writevalue);
	
}

}